[//]: # (THE CONTENT BELOW IS GENERATED. DO NOT EDIT.)
# server_state
Set enabled/hidden state of a server.

### Arguments
|Name|Type|Required
|-|-|-
|cn|:ref:`Str<Str>`|True

### Options
* state : :ref:`StrEnum<StrEnum>` **(Required)**
 * Values: ('enabled', 'hidden')
* version : :ref:`Str<Str>`

### Output
|Name|Type
|-|-
|result|Output
|summary|Output
|value|PrimaryKey

[//]: # (ADD YOUR NOTES BELOW. THESE WILL BE PICKED EVERY TIME THE DOCS ARE REGENERATED. //end)
### Semantics

### Notes

### Version differences